Bug 1028377 - grub2-mkconfig generating correct, but unusable configuration
grub2-mkconfig generating correct, but unusable configuration
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 05:24 EST by Thomas Schweikle
Modified: 2015-02-17 14:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:08:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reported by dracut (133.41 KB, text/plain)
2013-11-08 06:10 EST, Thomas Schweikle
no flags Details
Working config before generated a new config (7.87 KB, text/plain)
2013-11-08 07:09 EST, Thomas Schweikle
no flags Details
new config generated by "grub2-mkconfig" (7.69 KB, text/plain)
2013-11-08 07:15 EST, Thomas Schweikle
no flags Details

  None (edit)
Description Thomas Schweikle 2013-11-08 05:24:56 EST
Description of problem:
generating a new grub config with "grub2-mkconfig -o /boot/grub2/grub.cfg" leads to a config booting in dracut, because lvm2-devices are not found any more. Reverting to an old "/boot/grub2/grub.cfg" makes the system boot again.


Version-Release number of selected component (if applicable):
grub2-tools-2.00-23.fc19.x86_64
grub2-2.00-23.fc19.x86_64
grubby-8.28-1.fc19.x86_64

How reproducible:
I could reproduce this error always.
Affected are:
Fedora 19, Fedora 20, Fedora 21 (rawhide)

Steps to Reproduce:
1. Install Fedora 19 from CD, update to latest versions (yum -y update)
2. create a new initrd" "mkinitrd -v -f /boot/initramfs-3.11.7-200.fc19.x86_64.img 3.11.7-200.fc19.x86_64"
   create a new grub config: "grub2-mkconfig -o /boot/grub2/grub.cfg"
"
3. reboot.

Last message shown is "[ OK ] Reached target Basic System"
No further messages until system starts dracut emergency shell. The status bar scarves for minutes until right before. Then:
dracut-initqueue[133]: Warning: /dev/fedora/root does not exist
dracut-initqueue[133]: Warning: /dev/fedora/swap does not exist
dracut-initqueue[133]: Warning: /dev/mapper/vg0-root does not exist
dracut-initqueue[133]: Warning: /dev/mapper-vg0-root not exist

Actual results:
System booting into dracut

Expected results:
System regularly booting

Additional info:
Comment 1 Thomas Schweikle 2013-11-08 06:10:07 EST
Created attachment 821522 [details]
reported by dracut
Comment 2 Thomas Schweikle 2013-11-08 06:13:17 EST
For Fedora 20 the behaoir is a little bit different: after grub2 loading kernel and initrd, then transfered control the cursor sitts in the upper left corner and blinks. Nothing else happens.
Comment 3 Thomas Schweikle 2013-11-08 06:48:08 EST
For Fedora 21 (rawhide) the same as for Fedora 20 applies: cursor sitting in the upper left corner, blinking, nothing else happens.
Comment 4 Mads Kiilerich 2013-11-08 06:49:01 EST
so what is the difference between the working and non-working grub.cfg?
Comment 5 Thomas Schweikle 2013-11-08 06:50:07 EST
I can get all three to boot if I start from systemrescuecd
Comment 6 Thomas Schweikle 2013-11-08 07:09:46 EST
Created attachment 821571 [details]
Working config before generated a new config

The working config (grub.cfg) before generating a new config throws some errors, but the kernel loaded will boot.
Comment 7 Thomas Schweikle 2013-11-08 07:15:01 EST
Created attachment 821572 [details]
new config generated by "grub2-mkconfig"

This newly generated config does not work. Kernel and initrd are loaded, but then the nothing happens any more.

--
Do not mind the names! I've copied the old and new configs around to test, ending up named the newly created one "grub.old" and the old ancient, working one "grub.XXX".
Comment 8 Thomas Schweikle 2013-11-08 07:19:18 EST
The configs where for Fedora 21 (rawhide) but it is the same with Fedora 19 and 20.
Comment 10 Thomas Schweikle 2013-11-20 03:56:16 EST
For Fedora 20 it seems fixed. /etc/mdadm.conf is now copied to initrd-images. Boots without help. grub2-mkconfig generates usable grub.cfg-files.

For Fedora 19 there is no change. /etc/mdadm.conf is not copied to initrd-images. grub2-mkconfig includes various lines exhausting warnings about missing files (fonts and background pictures -- wants to use a theme not installed).

For Fedora 21 /etc/mdadm.conf is copied to initrd-images. grub2-mkconfig includes various lines exhausting warnings about missing files (only fonts).
Comment 11 Mads Kiilerich 2013-11-20 18:00:23 EST
Grub do not deal with the initrd content at all. Initrd is handled by dracut.

Are you sure that the problem is related to grub? Do both the grub version and the initrd content plays a role for the problem you see?
Comment 12 Fedora End Of Life 2015-01-09 15:31:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:08:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.